List Repository Issues
Request
GET
https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/issues
Path parameters
|
Name |
Description |
|
org_slug |
Type: string Example: `` |
|
repo_slug |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
filter |
Type: string Filter using QL language. Supported fields:
Examples:
Example: `` |
|
page_size |
Type: string<uint64> The maximum number of issues to return. The service may return fewer than Example: `` |
|
page_token |
Type: string A page token, received from a previous call. When paginating, all other parameters must match Example: `` |
|
sort_by |
Type: string Ordering options: comma separated list of fields. For example: "name, created_at" Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"issues": [
{
"id": "example",
"slug": "example",
"title": "example",
"description": "example",
"status": {
"id": "example",
"slug": "example",
"name": "example",
"status_type": "initial"
},
"author": {
"id": "example",
"slug": "example"
},
"updated_by": null,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"assignee": null,
"labels": [
{
"id": "example",
"slug": "example",
"name": "example",
"color": "example"
}
],
"linked_prs": [
{
"id": "example",
"slug": "example"
}
],
"priority": "trivial",
"visibility": "public",
"milestone": {
"id": "example",
"slug": "example"
},
"deadline": "2025-01-01T00:00:00Z",
"started_at": "2025-01-01T00:00:00Z",
"completed_at": "2025-01-01T00:00:00Z",
"repository": {
"id": "example",
"slug": "example",
"organization": {
"id": "example",
"slug": "example"
}
}
}
],
"next_page_token": "example"
}
|
Name |
Description |
|
issues |
Type: Issue[] Example
|
|
next_page_token |
Type: string A token, which can be sent as Example: |
StatusType
Type: string
Enum: initial, in_progress, paused, completed, cancelled
IssueStatus
|
Name |
Description |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
slug |
Type: string Example: |
|
status_type |
Type: StatusType Enum: |
Example
{
"id": "example",
"slug": "example",
"name": "example",
"status_type": "initial"
}
UserEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
LabelEmbedded
|
Name |
Description |
|
color |
Type: string Example: |
|
id |
Type: string Example: |
|
name |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example",
"name": "example",
"color": "example"
}
Priority
Type: string
Enum: trivial, minor, normal, critical, blocker
Issue.Visibility
Type: string
Enum: public, private
RepositoryEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
organization |
Type: OrganizationEmbedded Example
|
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example",
"organization": {
"id": "example",
"slug": "example"
}
}
Issue
|
Name |
Description |
|
assignee |
Type: UserEmbedded Example
|
|
author |
Type: UserEmbedded Example
|
|
completed_at |
Type: string<date-time> Example: |
|
created_at |
Type: string<date-time> Example: |
|
deadline |
Type: string<date-time> Example: |
|
description |
Type: string Example: |
|
id |
Type: string Example: |
|
labels |
Type: LabelEmbedded[] Example
|
|
linked_prs |
Type: PullRequestEmbedded[] Example
|
|
milestone |
Type: MilestoneEmbedded Example
|
|
priority |
Type: Priority Enum: |
|
repository |
Type: RepositoryEmbedded Example
|
|
slug |
Type: string Example: |
|
started_at |
Type: string<date-time> Example: |
|
status |
Type: IssueStatus Example
|
|
title |
Type: string Example: |
|
updated_at |
Type: string<date-time> Example: |
|
updated_by |
Type: UserEmbedded Example
|
|
visibility |
Type: Issue.Visibility Enum: |
Example
{
"id": "example",
"slug": "example",
"title": "example",
"description": "example",
"status": {
"id": "example",
"slug": "example",
"name": "example",
"status_type": "initial"
},
"author": {
"id": "example",
"slug": "example"
},
"updated_by": null,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"assignee": null,
"labels": [
{
"id": "example",
"slug": "example",
"name": "example",
"color": "example"
}
],
"linked_prs": [
{
"id": "example",
"slug": "example"
}
],
"priority": "trivial",
"visibility": "public",
"milestone": {
"id": "example",
"slug": "example"
},
"deadline": "2025-01-01T00:00:00Z",
"started_at": "2025-01-01T00:00:00Z",
"completed_at": "2025-01-01T00:00:00Z",
"repository": {
"id": "example",
"slug": "example",
"organization": {
"id": "example",
"slug": "example"
}
}
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |